<?php   
$wp_customize->add_section(
	'team_area',
	array(
		'title'         => __( 'Team Section', 'luzuk-premium' ),
		'panel'   => 'luzuk_premium_home_panel',
	)
);
$wp_customize->add_setting(
	'team_area_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'team_area_disable',
		array(
			'settings'      => 'team_area_disable',
			'section'       => 'team_area',
			'label'         => __( 'Disable Section', 'luzuk-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'luzuk-premium' ),
				'off' => __( 'No', 'luzuk-premium' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'team', 'team_area', $color='#f7f7f7', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'team_area_teamsectionpadding', 'team_area', 'Section Padding ');

$wp_customize->add_setting(
    'team_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'team_areaTpadding',
    array(
        'settings'      => 'team_areaTpadding',
        'section'       => 'team_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'team_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'team_areaBpadding',
    array(
        'settings'      => 'team_areaBpadding',
        'section'       => 'team_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
	'luzuk_team_title_subtitle_heading',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
	)
);
$wp_customize->add_control(
	new luzuk_Customize_Heading(
		$wp_customize,
		'luzuk_team_title_subtitle_heading',
		array(
			'settings'      => 'luzuk_team_title_subtitle_heading',
			'section'       => 'team_area',
			'label'         => __( 'Section Sub Heading &  Heading', 'luzuk-premium' ),
		)
	)
);
$wp_customize->add_setting(
	'team_subtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Team', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'team_subtitle',
	array(
		'settings'      => 'team_subtitle',
		'section'       => 'team_area',
		'type'          => 'text',
		'label'         => __( 'Section Sub Heading', 'luzuk-premium' )
	)
);

addColorPalatOption($wp_customize, 'teamsec_subtitleclr', 'team_area', 'Sub Heading Color ', '#000');

$wp_customize->add_setting(
	'team_maintitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Lorem Ipsum Are Believable.', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'team_maintitle',
	array(
		'settings'      => 'team_maintitle',
		'section'       => 'team_area',
		'type'          => 'text',
		'label'         => __( 'Section Heading', 'luzuk-premium' )
	)
);

addColorPalatOption($wp_customize, 'teamsec_titleclr', 'team_area', 'Heading Color ', '#000');


/*for note text*/
$wp_customize->add_setting('team_area_lbl1', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'team_area_lbl1',
        array(
            'settings'      => 'team_area_lbl1',
            'section'       => 'team_area',
            'label'         => __( 'Note1:', 'Luzuk' ),    
            'description'   => __( 'Just place the shortcode "[TEAMLIST]" in your page to Show all teams in a page & image size 400*520 ', 'Luzuk' ),
        )
    )
);

/*for note text*/

$wp_customize->add_setting('team_area_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading(
		$wp_customize,
		'team_area_npp_heading',
		array(
			'settings'      => 'team_area_npp_heading',
			'section'       => 'team_area',
			'label'         => __( 'Number Of Team Members to Show', 'luzuk-premium' ),
		)
	)
);    
$wp_customize->add_setting('team_area_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control(
	'team_area_npp_count',
	array(
		'settings'      => 'team_area_npp_count',
		'section'       => 'team_area',
		'type'          => 'select',
		'label'         => __( 'Number Of Team Members to Show', 'luzuk-premium' ),
		'choices'=>array(1,2,3,4,5,6)
	)
);

// TEAM PAGES
$TeamsSingleChoice[] = 'select';
for( $i = 1; $i <= 6; $i++ ){
	$wp_customize->add_setting(
		'team_area_heading'.$i,
		array(
			'sanitize_callback' => 'luzuk_sanitize_text'
		)
	);
	$wp_customize->add_control(
		new luzuk_Customize_Heading(
			$wp_customize,
			'team_area_heading'.$i,
			array(
				'settings'      => 'team_area_heading'.$i,
				'section'       => 'team_area',
				'label'         => __( 'Staff ', 'luzuk-premium' ).$i,
			)
		)
	);
	if(is_array($TeamsSingleChoice)){
		$wp_customize->add_setting(
			'team_area_page'.$i,
			array(
				'sanitize_callback' => 'absint'
			)
		);
		$wp_customize->add_control(
			'team_area_page'.$i,
			array(
				'settings'      => 'team_area_page'.$i,
				'section'       => 'team_area',
				'type'=> 'select',
				'label'         => __( 'Select a Team Member', 'luzuk-premium' ),
				'choices' => $TeamsSingleChoice,
			)
		);

	}
	else{
		$wp_customize->add_setting('team_area_lbl'.$i, array('sanitize_callback'=>'luzuk_sanitize_text'));
		$wp_customize->add_control(
			new luzuk_Info_Text( 
				$wp_customize,
				'team_area_lbl'.$i,
				array(
					'settings'		=> 'team_area_lbl'.$i,
					'section'		=> 'team_area',
					'label'			=> __( 'Note:', 'luzuk-premium' ),	
					'description'	=> __( '<strong>Changes will not reflect unless you select the Teams.</strong> <br/>Please add the teams from "Teams menu" and then select Team Member to show information.', 'luzuk-premium' ),
				)
			)
		);
	}
}

lzCustomLable($wp_customize, 'team_area_tcolor', 'team_area', 'Section Color');

addColorPalatOption($wp_customize, 'Tm_DegbgClr', 'team_area', 'Designation BG Color', '#fff');

addColorPalatOption($wp_customize, 'Tm_DegClr', 'team_area', 'Designation Color', '#000');

addColorPalatOption($wp_customize, 'Tm_conbxbgClr', 'team_area', 'Contact Box Color', '#f7f7f7');

addColorPalatOption($wp_customize, 'Tm_NameClr', 'team_area', 'Member Name Color', '#000');

addColorPalatOption($wp_customize, 'Tm_sicnbrdClr', 'team_area', 'Icon Border Color', '#000');

addColorPalatOption($wp_customize, 'Tm_sicnClr', 'team_area', 'Icon Color', '#000');

addColorPalatOption($wp_customize, 'Tm_sicnhvClr', 'team_area', 'Icon Hover Color', '#EC003F');


?>